C*****************************************************************************
C	Keystroke handling routines for DM
C  Version 6.x				            August, 1986
C	Dale E. Coy
C	Los Alamos National Laboratory
C	(505) 667-7159
C
C*****************************************************************************
	Subroutine Special_Keys

	Implicit Integer*4 (A - Z)
	Include 'Common.Dat'
C-------------------------------------------------------------------

C	---- It's a "special" character command

	If (Terminator .LE. 273) then
		Call Keypad_Keys

	Else If (Terminator .GE. 278) then
		Call Function_Keys

C-------------------------------------------------------------------C  
C   Otherwise, it's an arrow key....	
C	ARROW (CURSOR CONTROL) KEYS BEGIN EITHER WITH CSI OR SS3,
C	BUT HAVE THE SAME FOLLOWING CHARACTER.  THEREFORE, PROCESS
C	THEM ALL TOGETHER.
C-------------------------------------------------------------------C


C}{}{}{}      {ESC}{[}{A} =  Up Arrow Key
C}{}{}{}      {ESC}{O}{A} =  Up Arrow Key
         Else If (Terminator .EQ. 274) then
 		Call UpArrow ! Was it <UP ARROW> ?


C}{}{}{}      {ESC}{[}{B} =  Down Arrow Key
C}{}{}{}      {ESC}{O}{B} =  Down Arrow Key
         Else If (Terminator .EQ. 275) then
		Call DnArrow ! Was it <DOWN ARROW>?


C		LEFT AND RIGHT ARROW ARE IGNORED

C	 Else If (Terminator .EQ. 276) then

C	 Else If (Terminator .EQ. 277) then


	 END IF


	Return
	End
